module calctop (push,plus,minus,equal,ledsign,overflow,ledl,ledh,CLK,CE,RST);
   input [9:0] push;
   input       CLK,CE,RST,plus,minus,equal;  
   output [6:0] ledl;
   output [6:0] ledh;
   output [6:0] ledsign;
   output 	overflow;
  wire [6:0] out;
  wire [9:0] pushout;
  wire [3:0] outl,outh;
  assign ledsign[5:0]=0;
  calc I0(.decimal(pushout),.plus(plusout),.equal(equalout),.CLK(CLK),.CE(CEout),.RST(RST),
    .out(out),.minus(_minus),.sign(ledsign[6]),.overflow(overflow));
  binled I1(.in(out),.ledl(ledl),.ledh(ledh)); 
  syncro #(10) I2(.in(push),.out(pushout),.CLK(CLK),.RST(RST));
  syncro #(1) I3(.in(plus),.out(plusout),.CLK(CLK),.RST(RST));
  syncro #(1) I4(.in(equal),.out(equalout),.CLK(CLK),.RST(RST));
  syncro #(1) I5(.in(CE),.out(CEout),.CLK(CLK),.RST(RST));
  syncro #(1) I6(.in(minus),.out(_minus),.CLK(CLK),.RST(RST));
endmodule
